RUDOF(1)

NAME
rudof convert - Arguments for the `convert` command

SYNOPSIS
rudof convert [OPTIONS] --input-mode <MODE> --source-file <INPUT> --export-mode <MODE>

DESCRIPTION
Arguments for the `convert` command

OPTIONS

-m, --input-mode <MODE>
    Input mode [possible values: shacl, shex, dctap]

-s, --source-file <INPUT>
    Source file name (URI, file or - for stdin)

-f, --format <FORMAT>
    Input file format [default: shexc] [possible values: csv, shexc, shexj, turtle, xlsx]

-b, --base <IRI>
    Base IRI (used to resolve relative IRIs)

-r, --result-format <FORMAT>
    Result format [default: default] [possible values: default, internal, json, shexc, shexj, turtle, plantuml, html, svg, png]

-t, --target-folder <FOLDER>
    Target folder

-e, --templates-folder <FOLDER>
    Templates folder

-l, --shape-label <LABEL>
    shape label (default = START)

--reader-mode <MODE>
    RDF Reader mode [default: strict] [possible values: lax, strict]

-x, --export-mode <MODE>
    Result mode for conversion [possible values: sparql, shex, uml, html, shacl]

--show-time <SHOW_TIME>
    Show processing time [possible values: true, false]

-c, --config-file <FILE>
    Config file name

-o, --output-file <FILE>
    Output file name, default = terminal

--force-overwrite
    Force overwrite to output file if it already exists

-h, --help
    Print help